/*
  graph.cpp -- code to package Blutooth Graphics Android tablet messages
 */
#include "Plot.h"

/** send a text formatted message for tablet graph program
 * with commas and newline at end.
 *  @param d* -- integer data to send
 * data4 is sent as HEX, others as signed decimal
 */
void Plot::graph( int data1, int data2, int data3, int data4 )
{
	// prepend an E char then print out the values as ASCII with commas
	Serial.print( 'E' );
	Serial.print( data1 );
	Serial.print( ',' );
	Serial.print( data2 );
	Serial.print( ',' );
	Serial.print( data3 );
	Serial.print( ',' );
	Serial.println( data4, HEX );
}
